<?php
/**
 * 2013 - 2021 PayPlug SAS
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0).
 * It is available through the world-wide-web at this URL:
 * https://opensource.org/licenses/osl-3.0.php
 * If you are unable to obtain it through the world-wide-web, please send an email
 * to contact@payplug.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PayPlug module to newer
 * versions in the future.
 *
 * @author    PayPlug SAS
 * @copyright 2013 - 2021 PayPlug SAS
 * @license   https://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 *  International Registered Trademark & Property of PayPlug SAS
 */

require_once(dirname(__FILE__) . './../../../../config/config.inc.php');

/** Call init.php to initialize context */
require_once(_PS_MODULE_DIR_ . '../init.php');

/** Call to payplug-php API */
require_once(_PS_MODULE_DIR_ . '/payplug/classes/PayplugBackward.php');
require_once(_PS_MODULE_DIR_ . '/payplug/payplug.php');
require_once(_PS_MODULE_DIR_ . '/payplug/lib/init.php');

$payplug = Module::getInstanceByName('payplug');
$payplug->initializeApi();

$context = $payplug->context;
$cookie = $context->cookie;
$result_currency = array();
$cart = $context->cart;
$isInstallment = false;
if ((int)Tools::getValue('i') === 1) {
    $isInstallment = true;
}

$payment = $payplug->preparePayment();
$payment_data = Tools::jsonDecode($payment, true);

// Invalid payment then return error
if ($payment_data['result'] && isset($payment_data['return_url']) && $payment_data['return_url']) {
    Payplug::redirectForVersion($payment_data['return_url']);
}

die($payment_data['response']);
